Invoke Other Agent
curl --request POST \
--url https://api-lr.agent.ai/v1/action/invoke_agent \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "deepseek-r1",
"input": "value"
}
'import requests
url = "https://api-lr.agent.ai/v1/action/invoke_agent"
payload = {
"id": "deepseek-r1",
"input": "value"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: 'deepseek-r1', input: 'value'})
};
fetch('https://api-lr.agent.ai/v1/action/invoke_agent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"response": "<think>\n\n</think>\n\nAI agents are autonomous entities that use artificial intelligence to perceive their environment, make decisions, and take actions to achieve specific goals. They operate with varying levels of autonomy, ranging from simple rule-based systems to complex, adaptive, and learning-based models. AI agents can be deployed across diverse applications, including software applications, robotics, and IoT devices, to perform tasks such as data analysis, decision-making, and interaction with humans.",
"status": 200
}Workflow & Logic
Invoke Other Agent
Trigger another agent for additional processing or data handling.
POST
/
action
/
invoke_agent
Invoke Other Agent
Authorizations
Bearer token from your account (https://agent.ai/user/integrations#api)
Body
application/json
⌘I

